
header{
    background-color: #fff;
    .header_top{
        height: 110px;
        align-items: center;
        width: 89%;
        margin: 0 auto;

        .left{
            width: 40%;
            .profile{
                width: 273px;
                height: 60px;
                align-items: center;
                float: left;
                .user{
                    width: 60px;
                    height: 60px;
                    border-radius: 50%;
                    border: 3px solid #989898;
                    line-height: 60px;
                    text-align: center;       
                    .user__icon{
                        color: #8A8A8B;
                        font-size: 30px;
                    }     
                }
            }
        }
        .right{
            width: 60%;
            align-items: center;
            nav{
                ul{
                    display: flex;
                    li{
                        cursor: pointer;
                        margin-left: 53px;
    
                        .link{
                            color: #E0E0E0;
                            &:focus{
                                color: black;
                            }
                        }
        
                    }
                }
            }
            .logo{
                width: 208px;
                height: 110px;
                align-items: center;
            }
        }
    }

    .header_bottom{
        width: 89%;
        margin: 0 auto;
        border-top: 1px solid gray;
        padding: 15px 0;
        align-items: center;

        nav{
            text-align: right;
            ul{
                li{
                    margin-left: 40px;
                    
                    .link{
                        padding-bottom: 5px;
                        padding-left: 30px;
                        color: black;
                        &:focus{
                            border-bottom: 3px solid palevioletred;
                        }
                    }
                }
            }
        }

        .buy{
            width: 40px;
            height: 40px;
            margin-top: 10px;
            cursor: pointer;
            position: relative;
            .shopping_icon{
                font-size: 35px;
            }

            .quantity_shopping{
                width: 22px;
                height: 22px;
                border-radius: 50%;
                background-color: red;
                position: absolute;
                top: -20%;
                color: #fff;
                text-align: center;
                line-height: 22px;
                font-size: 10px;
            }

            .shopping{
                width: 200px;
                background-color: #28292C;
                position: absolute;
                top: 50px;
                left: 10px;
                text-align: center;
                color: #fff;
                padding: 10px 0;
                
                &::before{
                    width: 25px;
                    height: 25px;
                    background-color: #28292C;
                    content:"";
                    position: absolute;
                    top: 0;
                    left: 5px;
                    transform: translateY(-50%) rotate(45deg);

                }
                ul{
                    color: #fff;
                    li{
                        font-size: 12px;
                        border-bottom: 1px solid gray;
                        display: flex;
                        padding: 15px 5px;

                        .right{
                            width: 60%;
                            p{
                                padding: 5px 0;
                            }
                            .quantity_selector{
                                padding: 0 10px;
                                width: 60px;
                                height: 20px;
                                border: 1px solid white;
                                display: flex;
                                justify-content: space-between;
                                align-items: center;
                                border-radius: 5px;
                                margin: 10px 20px 10px 0;
                            }
                        }

                        .left{
                            width: 40%;
                        }

                    }
                }

                .checkout_bill{
                    padding: 15px 25px;
                    border-bottom: 1px solid gray;
                    p{
                        text-align: right;
                        padding: 5px 0;
                        display: flex;
                        justify-content: space-between;
                        font-size: 12px;
                    }

                }
                .checkout__bill_button{
                    border: none;
                    outline: none;
                    padding: 15px 45px;
                    border-radius: 10px;
                    color: #fff;
                    background-color: #EC407A;
                    margin: 20px 0 10px 0;
                }
            }
        }
    }
}